import * as dotenvSafe from 'dotenv-safe';
import express from 'express';
import consola from 'consola';
import * as jwt from 'jsonwebtoken';
import { createConnection } from 'typeorm';
import bodyparser from "body-parser";
import 'reflect-metadata';
import routerMain from './routes/index';
// const loaders = require('./loaders');
import * as loaders from './loaders/index';

dotenvSafe.config();
const app = express();
const PORT = process.env.APP_PORT || 4010;

createConnection()
	.then((connection) => {})
	.catch((err) => {
		consola.error(err);
	})
	.finally(() => {
		// await loaders.init(app);
		app.use('/api/', routerMain);
		app.listen(PORT, () => {
			consola.success(`⚡️[server]: Server is running at http://localhost:${PORT}`);
		});
	});
